Subject: bug#22145: 25.0.50; tramp and auto-revert tests hang on OS X

From: Michael Albinus <[email-masked]>
Date: Sat, 19 Dec 2015 20:24:15 +0100

Anders Lindgren <[email-masked]> writes:

> Anyway, it works with simple filenames like "xyz", so it is somehow
> connected to the non-ascii file names. By the way, are you aware that
> OS X denormalizes file names when stored in the file system, could
> that be related to this in any way?

Yes, I follow your discussion with Eli. But I don't see (yet) how it is
related to Tramp. Tramp works on shell level, and you have proved in the
very beginning of our conversation, that the command itself works when
entered in the shell.

So I still have no real idea. Maybe (attention: wild guess!) the shell
command or a path of this command is too long for OSX? So we might try
to run the command as-it-is. Could you pls check, what happens in a
shell with these commands:

--8<---------------cut here---------------start------------->8---
# mkdir /private/var/folders/qq/qqGPPGoBHOGgJs3oBoKTHU\\+\\+\\+TI/-Tmp-/tramp-test22198dkQ
# (test -e /private/var/folders/qq/qqGPPGoBHOGgJs3oBoKTHU\\+\\+\\+TI/-Tmp-/tramp-test22198dkQ/\\أ\\ص\\ب\\ح\\ \\ب\\و\\س\\ع\\ك\\ \\ا\\ل\\آ\\ن\\ \\ت\\ن\\ز\\ي\\ل\\ \\ن\\س\\خ\\ة\\ \\ك\\ا\\م\\ل\\ة\\ \\م\\ن\\ \\م\\و\\س\\و\\ع\\ة\\ \\و\\ي\\ك\\ي\\ب\\ي\\د\\ي\\ا\\ \\ا\\ل\\ع\\ر\\ب\\ي\\ة\\ \\ل\\ت\\ص\\ف\\ح\\ه\\ا\\ \\ب\\ل\\ا\\ \\ا\\ت\\ص\\ا\\ل\\ \\ب\\ا\\ل\\إ\\ن\\ت\\ر\\ن\\ت || test -h /private/var/folders/qq/qqGPPGoBHOGgJs3oBoKTHU\\+\\+\\+TI/-Tmp-/tramp-test22198dkQ/\\أ\\ص\\ب\\ح\\ \\ب\\و\\س\\ع\\ك\\ \\ا\\ل\\آ\\ن\\ \\ت\\ن\\ز\\ي\\ل\\ \\ن\\س\\خ\\ة\\ \\ك\\ا\\م\\ل\\ة\\ \\م\\ن\\ \\م\\و\\س\\و\\ع\\ة\\ \\و\\ي\\ك\\ي\\ب\\ي\\د\\ي\\ا\\ \\ا\\ل\\ع\\ر\\ب\\ي\\ة\\ \\ل\\ت\\ص\\ف\\ح\\ه\\ا\\ \\ب\\ل\\ا\\ \\ا\\ت\\ص\\ا\\ل\\ \\ب\\ا\\ل\\إ\\ن\\ت\\ر\\ن\\ت) && /bin/ls -ildn -w /private/var/folders/qq/qqGPPGoBHOGgJs3oBoKTHU\\+\\+\\+TI/-Tmp-/tramp-test22198dkQ/\\أ\\ص\\ب\\ح\\ \\ب\\و\\س\\ع\\ك\\ \\ا\\ل\\آ\\ن\\ \\ت\\ن\\ز\\ي\\ل\\ \\ن\\س\\خ\\ة\\ \\ك\\ا\\م\\ل\\ة\\ \\م\\ن\\ \\م\\و\\س\\و\\ع\\ة\\ \\و\\ي\\ك\\ي\\ب\\ي\\د\\ي\\ا\\ \\ا\\ل\\ع\\ر\\ب\\ي\\ة\\ \\ل\\ت\\ص\\ف\\ح\\ه\\ا\\ \\ب\\ل\\ا\\ \\ا\\ت\\ص\\ا\\ل\\ \\ب\\ا\\ل\\إ\\ن\\ت\\ر\\ن\\ت
--8<---------------cut here---------------end--------------->8---

Pls check also, whether you here a beep from your machine. We have seen
^G's in the Tramp debug buffer ...

> -- Anders

Best regards, Michael.